ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitriy Pavlov (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (IGNITE-9035) Update log4j 2x version in Apache Ignite
Date Thu, 19 Jul 2018 18:08:00 GMT

     [ https://issues.apache.org/jira/browse/IGNITE-9035?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmitriy Pavlov updated IGNITE-9035:
-----------------------------------
    Description: 
It is suggested to update log4j 2x version to log4j 2.8.2 or later.
{noformat}
<dependency>
    <groupId>org.apache.logging.log4j</groupId>
    <artifactId>log4j</artifactId>
    <version>2.8.2</version>
    <type>pom</type>
</dependency>
{noformat}

It is required to run RunAll to check all tests passed.

Probably it is required to run release step to make sure release candidate can be prepared.

This will affect at least ignite-log4j2, ignite-spark and probably other modules.

  was:
It is suggested to update log4j 2x version to log4j 2.8.2 or later.

<dependency>
    <groupId>org.apache.logging.log4j</groupId>
    <artifactId>log4j</artifactId>
    <version>2.8.2</version>
    <type>pom</type>
</dependency>

It is required to run RunAll to check all tests passed.

Probably it is required to run release step to make sure release candidate can be prepared.


> Update log4j 2x version in Apache Ignite
> ----------------------------------------
>
>                 Key: IGNITE-9035
>                 URL: https://issues.apache.org/jira/browse/IGNITE-9035
>             Project: Ignite
>          Issue Type: Test
>            Reporter: Dmitriy Pavlov
>            Priority: Major
>             Fix For: 2.7
>
>
> It is suggested to update log4j 2x version to log4j 2.8.2 or later.
> {noformat}
> <dependency>
>     <groupId>org.apache.logging.log4j</groupId>
>     <artifactId>log4j</artifactId>
>     <version>2.8.2</version>
>     <type>pom</type>
> </dependency>
> {noformat}
> It is required to run RunAll to check all tests passed.
> Probably it is required to run release step to make sure release candidate can be prepared.
> This will affect at least ignite-log4j2, ignite-spark and probably other modules.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message